# browser.py

########################################################################
#  SdiQt -- SDictionary viewer based on Qt library
#  Copyright (C) 2006 Dmitri Brechalov
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  The full license is in the file COPYING, distributed as part of
#  this software.
########################################################################

from qt import *

class Browser(QTextBrowser):
    def setSource(self, href):
        self.emit(PYSIGNAL('hyperlinkClicked()'), (href,))

    def setFont(self, font):
        txt = self.text()
        QTextBrowser.setFont(self, font)
        self.setText(txt)

# end of browser.py
